ACTION frog_2
{
  F_2=my;
  my.health=100;
  my.speed=5;
  my.strength=5;
  
  my.push=5;  //set all lower push values than my as passable (change frog1 also)
  

  while(!F_1){wait(1);}  //wait until frog 1 loads
  while(my.health>0)
  {
    vec_diff(temp,F_1.x,my.x);vec_to_angle(my.pan,temp.x);  //faces frog1
    my.tilt=0;
    my.roll=0;
    
    my.anim+=20*time;
    my.anim%=100;
    
    if(my.state==win)
    {
      ent_animate(me,"win",my.anim,anm_cycle);
      wait(1);continue;
    }
    
    vec_set(my.forcex,nullvector);
    my.forcex=(key_cuu-key_cud)*my.speed;  //move if keys are pressed
    my.forcey=(key_cul-key_cur)*my.speed;
    vec_normalize(my.forcex,my.speed);
    vec_rotate(my.forcex,vector(-(my.pan-camera.pan),0,0));  //comment this line if you want to move frog based on it's own orientation
    
    
    vec_scale(my.forcex,time);
    //setting states
    if(vec_length(my.forcex)==0){my.state=stand;}  //keys aren't pressed
    else
    {
      if(my.forcey<0){my.state=move_left;}  //this can be not correctly cause I cant remember if left gain or loose values :)
      if(my.forcey>0){my.state=move_right;}
      if(my.forcex<0){my.state=move_backward;}
      if(my.forcex>0){my.state=move_forward;}
    }
    if(mouse_left){my.state=punch;my.anim=0;}
    if(mouse_right && my.state!=block && my.block_hold==off){my.state=block;my.anim=0;my.block_hold=on;}
    if(!mouse_right){my.block_hold=off;}
    
    if(my.state==stand){ent_animate(me,"stand",my.anim,anm_cycle);}  //animate!
    if(my.state==move_left){ent_animate(me,"move_left",my.anim,anm_cycle);}
    if(my.state==move_right){ent_animate(me,"move_right",my.anim,anm_cycle);}
    if(my.state==move_backward){ent_animate(me,"move_backward",my.anim,anm_cycle);}
    if(my.state==move_forward){ent_animate(me,"move_forward",my.anim,anm_cycle);}
    if(my.state==punch)
    {
      play_sound (swing_sound,50);
      while(my.anim<100)
      {
        ent_animate(me,"punch",my.anim,anm_cycle);
        my.anim+=20*time;
        if(vec_dist(my.x,F_1.x)<min_dist_between_otto_herbie && my.give_punch==off)
        {
          my.give_punch=on;  //give the punch only one time
          if(F_1.state==block){play_sound (dodge_sound,50);}  //opponent is blocking
          else
          {
            play_sound (punch_sound,50);
            F_1.health-=my.strength;  //decrease opponent's health
          }
    
        }
       wait(1);
      }

     my.give_punch=off;  //now is able to hit again the opponent
    }

    if(my.state==block)
    {
    	play_sound (dodge_sound,50);
      while(my.anim<100)
      {
        ent_animate(me,"block",my.anim,anm_cycle);
        my.anim+=20*time;
        wait(1);
      }
    }
    move_mode=ignore_push+ignore_passable+ignore_passents+ignore_sprites+glide;
    ent_move(my.forcex,nullvector);
    my.x=clamp(my.x,left_edge,right_edge);  //prevent get out of the ring
    my.y=clamp(my.y,lower_edge,upper_edge);
    wait(1);
  }
}
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//by EPATATA - 09/28/2005 - Brasil
//this frog can punch, walk for any side and block.
//when opponent is hit, a sound is played and health is decreased if he isn't blocking
//when opponent hits the ground, a sound is played and fall animation is activated
//after he falls, the winner celebrate it's victory.
//this fighter never gets out of the ring :))
//you can rotate the camera around players with mouse.
//maybe this can have bugs, but for me it works fine!
//hmm, forgeting anything? I think not...
// now you can change the frog1 script based on this :)
//any questions, requests or anything else please send PM to epatata at conitec's Forum and I'll be happy to help you.
//by Epatata - Brasil 09/28/2005
//Sorry for my bad english :) 
//I wish you *SUCESS*